<?php
/**
 * User Interface community tab
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2009 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 2.2.0
 */

require_once(INCLUDE_DIR.'outputFunctions.php');
require_once(INCLUDE_DIR.'facebookFunctions.php');
require_once(INCLUDE_DIR.'contactFunctions.php');

if(!cfIsInApp() && !WEnv::user()->isAdministrator()) die('unauthorized access');


/**
 * @desc Display a box for weezo.net profile configuration
 *
 */
function uiCommunityProfileBox(){
	// Get profile info
	$profile=cfRegistrationData();
?>
<div class="frame2Header" onclick="if(W.uiCommunity) uiCommunity.profilesToggle(1)">
<?php echo outImageIcon('appIcon16');?><?php echo cfCaption('accountTitle');?></div>
<?php
	// Profile edition button
	if($profile) echo '<div style="position:absolute;top:0;right:2px">'.outBt(cfCaption('configAccountEdit'),outIcon('appIcon16v'),"javascript:uiCommunity.profilesToggle(1);wl.UICommand('openProfile')",false,false,false,'up','150').'</div>';
	// Collapsable frame
	echo '<div id="uiCommunityProfileDetail" style="display:'.((cfGGetVar('uiCommunityHideProfiles'))?'none':'block').'" onclick="wl.UICommand(\'openProfile\')">';

	// Fake image used for height positioning
	echo '<img src="'.outIcon('v').'" alt="" style="width:1px;height:50px;float:left;margin:5px 0 0 0">';

	// Display account info
	if($profile){
		// Profile name
		echo '<div style="margin-bottom:5px"><b>'.cfCaption('accountName').'</b>&nbsp;&nbsp;&nbsp;'.$profile['regName'].'</div>';
		// WOW
		if(substr(@$profile['WOW'],0,1)=="1")	echo outImageIcon('cmChecked').cfCaption('accountWOW').'<br>';
		else echo outImageIcon('cmUnchecked').'<span class="disabledCaption">'.cfCaption('accountWOW').'</class><br>';

		// External authentication
		if(@$profile['externalAuth']) echo outImageIcon('cmChecked').cfCaption('externalAuth').'<br>';
		else echo outImageIcon('cmUnchecked').'<span class="disabledCaption">'.cfCaption('externalAuth').'</class><br>';
	}

	// Profile not defined
	else{
		//echo '<b>'.cfCaption('accountTypeReg').'</b><br><br>';
		echo '<br><center>'.outButton(cfCaption('accountTypeReg'),"javascript:wl.UICommand('openProfile')",outIcon('new')).'</center>';
	}

	echo '</div>';
}

/**
 * @desc Display weezo.net contacts tree
 *
 */
function uiCommunityBox(){
?>
<div class="frame2Header"><?php echo outImageIcon('contacts').APPLICATION_NAME.' - '.cfCaption('genCommunity');?></div>
<?php
	ctDisplayTree();
}

/**
 ***************************************************************************************************************************
 * Process Async command
 ***************************************************************************************************************************
 */
if(cfIsAsync() || isset($_GET['facebookProfilePicture'])){
	// Facebook profile related commands
	facebookProfileBox();
	// Contacts related commands
	ctProcessCommands();
	// Facebook comments related commands
	facebookCommentsBox();
	// Update profiles show / hide state
	if(isset($_POST['uiCommunityHideProfiles'])) cfGUpdateVar('uiCommunityHideProfiles',(int)$_POST['uiCommunityHideProfiles']);
	// Update profiles show / hide state
	if(isset($_POST['uiCommunityBoxHeight'])&&is_numeric($_POST['uiCommunityBoxHeight'])) cfGUpdateVar('uiCommunityBoxHeight',(int)$_POST['uiCommunityBoxHeight']);

	// Async request collector
    cfAsyncHeader();
    cfAsyncFooter();
}

/**
 ***************************************************************************************************************************
 * Insert page HEADER
 ***************************************************************************************************************************
 */
cfInsertHEAD(false);
?>
</head>
<body style="overflow:hidden">
<input type="hidden" id="UIScript" name="UIScript" onkeyup="eval(this.value)">
<?php
// Display a mask over page until it is loaded
echo outLoadMask(false); flush();

echo cfScriptLink('wz_dragdrop.js');
echo cfScriptLink('winClient.js');

/**
 * Facebook & Weezo profiles
 */
?>
<div class="uiTabTitle" style="display:none"><?php echo cfCaption('genCommunity');?></div>
<table style="table-layout:fixed" cellpadding="0" cellspacing="0"><tr>
	<td style="width:50%;padding-right:5px;vertical-align:top"><?php echo outDivFrame('frame2'); facebookProfileBox();?></div></td>
	<td style="width:50%"><?php echo outDivFrame('frame2'); uiCommunityProfileBox();?></div></td>
</tr></table>
<div class="hSeparatorToggle" onmousedown="uiCommunity.profilesToggle()"></div>
<?php

/**
 * Weezo community box
 */
?>
<div id="uiCommunityBox" class="frame2 alt" style="height:<?php echo (cfGGetVar('uiCommunityBoxHeight'))?cfGGetVar('uiCommunityBoxHeight'):'120';?>px;overflow:auto"><?php uiCommunityBox();?></div>
<div id="sep1"></div>

<?php
/**
 * Facebook comments box
 */
?>
<div class="frame2" style="height:140px;overflow:auto" id="facebookCommentsBox"><?php facebookCommentsBox();?></div>
<script type="text/javascript">
$('sep1').e.setHSeparator({'minHeight':26,'asyncVar':'uiCommunityBoxHeight'});
var uiCommunity={
	'profilesHidden':<?php echo (int)cfGGetVar('uiCommunityHideProfiles');?>,
	'resetFrames':function(){

		alignBottom($('facebookCommentsBox'),winMe,5);
		if($('facebookCommentsBox').e.actualOffsetBottom()>=winMe.getInnerHeight()-5 || $('facebookCommentsBox').offsetHeight<35) {
			alignBottom($('uiCommunityBox'),winMe,40);
			alignBottom($('facebookCommentsBox'),winMe,5);
		}
	},
	'profilesToggle':function(forceOpen){
		var ph=(forceOpen)?0:(1-this.profilesHidden);
		if(this.profilesHidden===ph) return;
		this.profilesHidden=ph;

		$('uiCommunityProfileDetail').style.visibility=(ph)?'hidden':'visible';
		$('uiCommunityProfileDetail').style.height=(ph)?'1px':'auto';
		$('uiCommunityProfileDetail').style.overflow=(ph)?'hidden':'auto';
		$('facebookProfileDetail').style.visibility=(ph)?'hidden':'visible';
		$('facebookProfileDetail').style.height=(ph)?'1px':'auto';
		$('facebookProfileDetail').style.overflow=(ph)?'hidden':'auto';
		this.resetFrames();
		wl.asr.send({'uiCommunityHideProfiles':ph})
	}
};

// webBrowser control display redraw bug workaround
function redrawDisplay(){
	dgi("redrawMask").style.display="";
	setTimeout('dgi("redrawMask").style.display="none"',100);
}
function winResized(){uiCommunity.resetFrames()}
</script>
<div id="redrawMask" style="position:absolute;top:0px;left:0px;width:100%;height:100%;background:white;display:none;filter:Alpha(opacity=1,style=0)">
<?php echo cfDragRegisterItems(''); ?>
<script type="text/javascript">winResized()</script>
</body>