<?php
/**
 * CREDITS
 *
 */

/**
 * @desc Return HTML code for a credit line
 *
 * @param string $item
 * @param string $name
 * @param string $link
 * @return string
 */
function creditItem($item, $name=false, $iconUrl=false, $link=false){
	if(!$iconUrl) $iconUrl=outIcon('link2');
	$out='<tr><td style="width:20px">'.(($iconUrl)?'<img src="'.$iconUrl.'" alt="" style="width:16px;height:16px">':'&nbsp;').'</td>';
	$out.='<td class="altText2" style="width:100px">'.$item.'</td>';

	if(!isset($link)){
		$out.='<td colspan="2">'.$name.'</td>';
	}
	else {
		$out.='<td style="width:200px">'.$name.'</td>';
		$out.='<td style="width:400px">'.(($link)?'<a href="'.$link.'" target="_blank" class="link">'.$link.'</a>':'&nbsp;').'</td>';
	}
	$out.="</tr>\n";
	return $out;
}

require(INCLUDE_DIR.'outputFunctions.php');

cfInsertHEAD(true,array('size'=>'540x560','icon'=>'smile','title'=>cfCaption('mainAbout')));
echo '<body style="overflow:hidden">';
echo cfScriptLink('winClient.js');

// Weezo
echo outDivFrame('frame1');
echo '<div class="frame1Header">'.outImageIcon('appIcon32').APPLICATION_NAME.'</div>';
echo '<div class="altText1">'.cfCaption('genVersion').cfCaption('genSeparator').str_replace('V','',cfGGetVar('appVersion')).'</div>';
echo '<div class="altText2">Copyright  2005-2013 Nicolas Bruley / Peer 2 World</div><br>';
echo '<center><a href="http://www.weezo.net" class="link" style="font-size:120%" target="_blank">http://www.weezo.net</a></center><br>';
echo '</div>';

// Credits
echo outDivFrame('frame2','id="creditsFrame"','overflow:hidden');
echo '<div class="frame2Header">'.outImageIcon('smile').cfCaption('mainCredits').'</div>';
echo '<div id="creditScrollDiv" style="overflow:auto;overflow-x:hidden">';
echo outTableTransparent(false,'table-layout:fixed');
echo creditItem('Apache Server','The Apache foundation',outIcon('Apache'),'http://www.apache.org');
echo creditItem('PHP','The PHP Team',outIcon('php'),'http://www.php.net');
echo creditItem('ffmpeg','The ffmpeg Team',outIcon('ffmpeg'),'http://www.ffmpeg.org');
echo creditItem('Inno Setup','','','http://www.jrsoftware.com');
echo creditItem('walterzorn','','','http://www.walterzorn.com');
echo creditItem('RSA Crypt','Alexander Valyalkin','','');
echo creditItem('Bittorrent encoder','Markus Tacker','','');
echo creditItem('Growl interface','Laurent Laville &<br>Bertrand Mansion','','');
echo creditItem('PHP Reader','The PHP Reader Project Workgroup','','');
echo creditItem('PHP QR Code','Dominik Dzienia','','http://phpqrcode.sourceforge.net');
echo creditItem('PHPSECLIB','Jim Wigginton','','http://phpseclib.sourceforge.net');
echo creditItem('Text Highlighter','Andrey Demenev','','http://pear.php.net/package/Text_Highlighter');
echo creditItem('XML RSS','Martin Jansen','','http://pear.php.net/package/XML_RSS');
echo creditItem('JSON encoder','Michal Migurski','','http://pear.php.net/pepr/pepr-proposal-show.php?id=198');
echo creditItem('SabreDAV','Rooftop Solutions, FileMobile inc.',outIcon('UI/credits/SabreDAV'),'http://code.google.com/p/sabredav/');
echo creditItem('PHPMailer','Andy Prevost, Marcus Bointon, Brent R. Matzelle',false,'http://phpmailer.codeworxtech.com/');
echo creditItem('Crystal icons','Everaldo Coelho','http://static.flavors.me/static-3da3832e83835e754332bf595dc6ce4e925ae86e/sprites/shared/iphone_icon.png','http://www.everaldo.com/');
echo creditItem(' ',' ',outIcon('v'),' ');

echo '<tr><td class="hSeparator" colspan="4">&nbsp;</td></tr>';

// Languages
foreach (cfGlob(cfAppDocRoot().'/includes/lng/*.php') as $lngFile){
	if(!file_exists(str_replace('.php','.gif',$lngFile))) continue;
	$lng=cfFileWithoutExtension(basename($lngFile));
	require_once($lngFile);
	if(!stripos($w_lng['translator'],'weezo')) echo creditItem($w_lng['languageName'],$w_lng['translator'],'/includes/lng/'.$lng.'.gif',null);
}
echo '</div>';
echo '</div>';
?>
<script type="text/javascript">
function winResized(){
	alignBottom(dgi('creditsFrame'),winMe,5);
	alignBottom(dgi('creditScrollDiv'),dgi('creditsFrame'),0);
}
setTimeout(winResized,10);
setInterval(winResized,1000);
</script>