<?php
/**
 * User Interface resources tab
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2009 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 2.0.0
 */


// Indicate an in-application display
$_ENV['configurationEnvironment']='application';

require_once(INCLUDE_DIR.'outputFunctions.php');

/**
 * @desc Display short links format selection interface on 1st launch
 *
 */
function uiResourcesDirecLinkTypeSelection(){
	// If user is not registered or if choice has already been done, skip
	if(!cfRegistrationData() || cfGGetVar('directLinkLength')>=0) return;

	$fakeShortLink=substr('a4dsiw45ponbp2w',0,cfConstant('SHORT_LINK_DEFAULT_SIZE'));
	$fakeLongLink='directResourceAccessToken=uawd9hE7ZtpZms4UtsnsSbM9bHbHud';

?>
<div class="frame2 popup" id="directLinkLengthSelection" style="display:none;position:absolute;width:550px">
<div class="frame2Header"><?php echo cfCaption('genDirectLink');?></div>
<br>
<b><?php echo cfCaption('genFormat');?></b><br>
<?php
echo outRadioAndCaption('dLLSF',"short",true,cfCaption('shortLink').'<div class="altText">'.cfSiteLink().'/'.$fakeShortLink.'</div>');
echo '<br>';
echo outRadioAndCaption('dLLSF',"long",false,cfCaption('longLink').'<div class="altText">'.cfSiteLink().'?'.$fakeLongLink.'</div>');
?>
<br>
<center style="margin-bottom:1em"><?php echo outBt(cfCaption('genOK'),outIcon('ok16'),'javascript:dLLSubmit()',false,false,false,'up','150');?></center>
</div>
<script type="text/javascript">
var dLLS=$('directLinkLengthSelection');
function dLLInit(){
	wl.mask.show(0.6);
	wl.mask.moveAbove(dLLS);
	dLLS.style.display='';
	dLLS.e.center();
}
function dLLSubmit(){
	sendData('directLinkLength='+((dgn('dLLSF').checked)?'short':'long'))
	wl.mask.hide();
	dLLS.e.remove();
}
dLLInit()
</script>
<?php
}


/**
 ***************************************************************************************************************************
 * Process Async command
 ***************************************************************************************************************************
 */
if(cfIsAsync()){
	cfAsyncHeader();
	// Selected accordion update
	if(isset($_POST['uiResouceAccordionUpdated'])) cfGUpdateVar('uiResourceAccordion',$_POST['uiResouceAccordionUpdated']);

	// Select direct link type
	if(isset($_POST['directLinkLength'])) cfGUpdateVar('directLinkLength',(($_POST['directLinkLength']=='short')?cfConstant('SHORT_LINK_DEFAULT_SIZE'):0));

	die(cfAsyncFooter());
}

/**
 * Detect Windows shell extension (context menu) request for share / send / publish
 * File's format:
 * 	action\r\n
 *  file1\r\n
 *  file2\r\n
 *  file3\r\n
 *  ...
 * file names are utf8 encoded in file
 */
if(file_exists($shellExt=cfAppTempDir().'/shellExtShared')){
	$shellExtFiles=explode("\r\n",file_get_contents($shellExt));
	$shellAction=array_shift($shellExtFiles);

	// Pre-process files array
	$files=array(); foreach ($shellExtFiles as $utf8File) $files[]=cfUTF8Decode(str_replace('\\','/',$utf8File));
	if(count($files)>0) if($files[count($files)-1]=='') array_pop($files);

	// Select iframe
	cfGUpdateVar('uiResourceAccordion',$shellAction);

	// Pass files list to relevant iframe
	cfGSetVar('uiResourceShellAction',$files,true);

	// Remove file so it's not used another time
	@unlink($shellExt);
}

// UI request to select a given resource through GET parameter
if(isset($_GET['resSelectedId'])) {
	$rfn=cfArrayItem(cfMGetVar('weezoResourcesList'),$_GET['resSelectedId']);
	if($rfn) {
		cfGUpdateVar('uiResourceSelected',$rfn);
		cfGUpdateVar('uiResourceAccordion','share');
	}
}

// UI request to select a given resource through GET parameter
if(isset($_GET[''])) {
	$rfn=cfArrayItem(cfMGetVar('weezoResourcesList'),$_GET['resSelectedId']);
	if($rfn) {
		cfGUpdateVar('uiResourceSelected',$rfn);
		cfGUpdateVar('uiResourceAccordion','share');
	}
}


/**
 ***************************************************************************************************************************
 * Insert page HEADER
 ***************************************************************************************************************************
 */
cfInsertHEAD(false);
?>
</head>
<body style="padding:0;margin:0;overflow:hidden" id="uiResourcesBody">
<input type="hidden" id="UIScript" name="UIScript" onkeyup="eval(this.value)">
<?php
echo cfScriptLink('wz_dragdrop.js');

uiResourcesDirecLinkTypeSelection();

// Prepare accordion tabs
$tabs=array();
$tabs['share']=array('caption'=>strtoupper(cfCaption('doShare')),'src'=>'/local/uiResources/share.php','icon'=>outIcon('resources24'));
$tabs['send']=array('caption'=>strtoupper(cfCaption('doSend')),'src'=>'/local/uiResources/send.php','icon'=>outIcon('resourcesSend24'),'scroll'=>true);
$tabs['publish']=array('caption'=>strtoupper(cfCaption('doPublish')),'src'=>'/local/uiResources/publish.php','icon'=>outIcon('icoXML24'),'scroll'=>true);

// Propagate to share tab any request to open resource creation form
if(@$_GET['tab']=='share' && isset($_GET['createResource']) && !cfIsAsync()) cfGSetVar('uiShareOpenNewResource',1);

// Select publish panel
if(cfGGetVar('uiResourcePublishPanel')) $tabs['publish']['src']='/local/uiResources/'.cfGGetVar('uiResourcePublishPanel').'.php';

// Simple mode: remove publish panel
if(cfSimpleMode()) {
	unset($tabs['publish']);
	if(cfGGetVar('uiResourceAccordion')=='publish') cfGSetVar('uiResourceAccordion','share');
}

// Select default tab
if(isset($_GET['tab']) && isset($tabs[$_GET['tab']])) {
	cfGSetVar('uiResourceAccordion',$_GET['tab']);
	// Non-aero theme: just keep selected tab
	if(cfActualTheme()!='skin/aero'){
		foreach ($tabs as $k=>$v) if($k!=$_GET['tab']) unset($tabs[$k]);
	}
}

$uiRA=cfGGetVar('uiResourceAccordion'); if(!$uiRA) $uiRA='share';
switch ($uiRA){
	case 'share':
	case 'send':
	case 'publish':
		$tabs[$uiRA]['selected']=true;
		break;
	default:
		$tabs['share']['selected']=true;
}

//$tabs['send']['src']='/gfx/ok.png';
outAccordion($tabs,'100%','100%',array('callback'=>'uiResouceAccordionUpdated','hideFolded'=>1,'delayedIFrameSrc'=>0));

/**
 * Script and inputs required to forward UI response to resource config iframe
 */
?>
<script type="text/javascript">
var uiResourceAccordion="<?php echo $uiRA; ?>";
function uiResouceAccordionUpdated(newTabName,prevTabName){
	uiResourceAccordion=newTabName;
	sendData('uiResouceAccordionUpdated='+newTabName);
	if(frames[newTabName].tabSelected) frames[newTabName].tabSelected(1,newTabName);
	if(frames[prevTabName].tabSelected) frames[prevTabName].tabSelected(0,prevTabName);
	if(newTabName=='publish') {
		var l=''+frames[newTabName].document.location;
		var cmp='/local/uiResources/publish.php';
		if(l.substr(l.length-cmp.length)!=cmp) frames[newTabName].document.location=wl.insertSessionIDInURL(cmp);
	}
}

// Forward window resize command
function winResized(){
	for(var i=0;i<accordionTabs;i++) try{frames[accordionTabs[i]].winResized()} catch(e){}
}

// Forward commands from UI to right iframe
function forwardUICommand(){
	// Forward to selected accordion's frame
	var n,nr,f=frames[uiResourceAccordion];

	// web popup response to resource creation
	if(dgi("UIReturnValue").value.substr(0,12)=='newResource:')	{
		f.createResourceProceed(dgi("UIReturnValue").value.substr(12));
		return;
	}

	// File drop/openfile(s) if selected accordion is share: forward to resource frame
	if(uiResourceAccordion=='share') f=frames.share.frames.resourceConfigFrame;

	// Get var name and value
	var dataName=dgi("UIReturnVarName").value, dataValue=dgi("UIReturnValue").value;

	// webBrowser control display redraw bug workaround
	if(dataName=='UIRefreshCmd') return redrawDisplay();

	// First find UICommandReceive function if existing
	if(f.UICommandReceive) return f.UICommandReceive(dataName,dataValue)

	// Find receiver node
	if(!(n=f.dgi(dataName))) n=f.dgn(dataName);

	// Failed to find target input
	if(!n)	return;

	n.value=dataValue;
//alert(dataName+'=>'+dataValue)
	if(n.onkeyup) {
		if(dataName=='dropFileInput') f.filesDropped();
		else n.onkeyup();
	}
}

// Sliding frames
var slideFramePrev,slideFrameSteps=10;
function slideFrame(frameName, URL, dir){
	var prev,next;
	if(!(prev=dgi(frameName).getElementsByTagName('IFRAME')[0])) return false;
	prev.src=wl.insertSessionIDInURL(URL);
}
function slideFrameAnim(step,dir){
	var t=slideFramePrev.offsetHeight*(((dir=='up')?-1:1)*(slideFrameSteps-step)/slideFrameSteps);
	slideFramePrev.style.top=t

	if(dir=='up') dgi("slideFrame").style.top=t+slideFramePrev.offsetHeight;
	else dgi("slideFrame").style.top=t-slideFramePrev.offsetHeight

	if(step>0) setTimeout('slideFrameAnim("'+(step-1)+'","'+dir+'")',1)
	else{
		removeNode(slideFramePrev);
		slideFramePrev=null;
		with(slideFramePrev=dgi("slideFrame")){
			style.zIndex=style.position='';
			style.top=style.left=0;
			style.height='100%';
			id='';
		}
	}
}
// webBrowser control display redraw bug workaround
function redrawDisplay(){
	dgi("redrawMask").style.display="";
	setTimeout('dgi("redrawMask").style.display="none"',100);
}
</script>
<input type="hidden" id="UIReturnVarName" name="UIReturnVarName">
<input type="hidden" id="UIReturnValue" name="UIReturnValue" onkeyup="forwardUICommand()">
<div id="redrawMask" style="position:absolute;top:0px;left:0px;width:100%;height:100%;background:white;display:none;filter:Alpha(opacity=1,style=0)">
<?php
	echo cfDragRegisterItems('');
?>
</body>