<?php
/**
 * Wall index file for mobile display
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
*
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2013 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 3.1.0
 */


/**
 * @desc New post mobile form
 *
 */
function wallMobilePostForm(){
	if(!cfRGetVar('postAllowed')) return;
?>
<div id="wallPostForm" class="form">
	<div id="newMessageForm">
		<textarea id="wallPostText" onkeyup="void(wall.sendPostOk())" placeholder="<?php echo cfCaption('explorerFileSendMessage');?>"></textarea>
		<div id="wallLinkOptions">
		<div id="wallLinkType_map" style="display:none"></div>
		<br>
		<?php

		// Link buttons

		// Image upload button
		if(cfBGetVar('upload')){
			echo '<div class="frame3">';
			echo mfListTable();
			echo mfListItem('onclick="wall.linkTypeSelect(\'image\')"',outImageIcon('fi/med/icoImage'),false,cfCaption('blogInsertImage'));
			echo '</table>';
			// Insert mobile explorer scripts for upload function "ul()"
			echo cfScriptLink('mExplorer.js');
			?>
			<div id="wallLinkType_image" style="display:none;min-height:3em">
				<br>
				<?php
				echo mfUploadForm(true,'wall.imageUploadCompleted');
				?>
			</div>
			</div>
		<?php
		}
		else echo '<div id="wallLinkType_image" style="display:none"></div>';

		// Website link button
		echo '<div class="frame3">';
		echo mfListTable();
		echo mfListItem('onclick="wall.linkTypeSelect(\'url\')"',outImageIcon('fi/med/icoXml'),false,cfCaption('blogLink'));
		echo '</table>';
		?>
		<div id="wallLinkType_url" style="display:none">
			<?php echo cfCaption('genLink');?><br>
			<input id="wallNewUrl" type="text" value="http://" onchange="wall.sendPostOk()" onkeyup="wall.sendPostOk()">
		</div>
		</div>
		</div>
		<br>
		<div id="wallSendBtArea" style="text-align:center">
		<center>
<?php
// Validate password input button
echo mfButton(cfCaption('genSend'),'javascript:wall.sendPost()',false,'id="sendPostBt"',false,array('extraClass'=>'wide green'));
echo '<br>';
// Cancel password input button
echo mfButton(cfCaption('genCancel'),'javascript:wall.toggleNewPost()',false,false,false,array('extraClass'=>'wide red'));
?>
		</center>
		</div>
		<br>
	</div>
</div>
<?php
}

/**
 * @desc Sync mobile page display
 *
 */
function wallMobileDisplayPage(){
	global $db;

	$newPostBt=mfButton((cfGGetVar('userScreenWidth')>=1024)?cfCaption('blogPostNewMessage'):'','javascript:wall.toggleNewPost()',outIcon('edit'));
	mfInsertHead(array('topControlsExtra'=>$newPostBt));

	outInsertStandardComForm();

	// Hide delete control for non-admin
	if(!WEnv::user()->isAdministrator()){?><style type="text/css">.wallDeleteHandle, .wallCommentDeleteHandle{display:none}</style><?php }

	echo cfScriptLink('wall.js');
	echo '<link rel="stylesheet" type="text/css" href="mobile.css?v='.cfGGetVar('appVersion')."\">\n";

	echo wallMobilePostForm();

	// Pseudo input popup
?>
<div id="pseudoInputPopup" class="form">
<div class="frame2Header">
<?php
	echo outImageIcon('pseudo').cfCaption('genPseudo').'</div>';
	echo '<br><br>'.cfCaption('userTypeName').'<br>';
	echo '<center>';
	echo '<input type="text" id="wallPseudoInput" placeholder="'.cfCaption('genPseudo').'" class="wide" onkeyup="if(wl.eventKC(event)==13) wall.pseudoInputPopupValidate(1)"><br><br><br><br>';

	// Validate password input button
	echo mfButton(cfCaption('genOK'),'javascript:wall.pseudoInputPopupValidate(1)',false,'id="sendPostBt"',false,array('extraClass'=>'wide green'));
	echo '<br>';
	// Cancel password input button
	echo mfButton(cfCaption('genCancel'),'javascript:wall.pseudoInputPopupValidate(0)',false,false,false,array('extraClass'=>'wide red'));

	echo '</center>';
?></div><?php


// Main posts area
echo mfListTable('id="postsArea"');
?>
</table>
<script type="text/javascript">
function count(a){var n=0;	for(e in a) n++; return n;}
var isAdmin=<?php
echo (int)WEnv::user()->isAdministrator().';';
echo cfJSCaptionVar('blogAddComment');
echo cfJSCaptionVar('blogPostNewMessage');
echo cfJSCaptionVar('genPseudo');
?>
wall.view="mobile";
wall.pseudo="<?php echo str_replace('"',"''",cfRGetVar('pseudo'));?>";
wall.commentAllowed=<?php echo (int)cfRGetVar('commentAllowed');?>;
wall.postAllowed=<?php echo (int)cfRGetVar('postAllowed');?>;
wall.language='<?php echo cfGGetVar('language');?>';
wall.postIconWidth=32;
wall.commentIconWidth=24;
wall.updateData(<?php echo wallUpdateJSData(); ?>);
wall.noPostItem=<?php echo json_encode(wallNoPostItem());?>;

// Post template
wall.postTemplate='<div class="POSTCLASS" id="pPOSTID" style="STYLE">'+
	'<div class="wallCont">'+
		'<div class="wallPostText">TEXT</div>'+
		'<div class="wallPostLink">LINK</div>'+
		'<div class="wallPostUser">USER</div><br clear="all">'+
		'<div style="display:CONTROLS">'+
		'<?php if(WEnv::user()->isAdministrator()) echo mfButton('',"javascript:wall.postDelete(POSTID)",outIcon('del32'),'style="float:right;margin-left:1em"');?>'+
		'<?php if(cfRGetVar('commentAllowed')) echo mfButton('',"javascript:wall.toggleNewComment(\\'POSTID\\')",outIcon('blogAddComment'),'style="float:right"');?>'+
		'<?php echo mfButton('(NBCOMMENTS)',"javascript:wall.toggleComments(\\'POSTID\\')",outIcon('blogComment32'),'id="nbCmtsPOSTID" style="BTCOMMENTSDISPLAY"');?>'+
		'NEWCOMMENT'+
		'<div id="commentsPOSTID" class="wallPostComments" style="display:none">'+
			'COMMENTS'+
		'</div>'+
		'</div>'+
	'</div>'+
'</div>';

// Comments template
wall.commentTemplate='<div class="CLASS" id="cID">'+
		'<?php if(WEnv::user()->isAdministrator()) echo mfButton('',"javascript:wall.commentDelete(ID)",outIcon('del32'),'style="float:right"');?>'+
		'<img class="wallCommentIcon" src="ICON">TXT'+
		'<br clear="all">'+
		'<div class="wallCommentUser">USER</div>'+
		'</div>';

// New comment form
wall.newCommentTemplate='<div class="wallNewComment" id="ncdPOSTID" style="display:none" onkeyup="wall.newCommentKD(\'POSTID\',event)"><?php echo cfCaption('blogAddComment');?><textarea id="ncPOSTID" class="commentsTA" onchange="wall.commentCreate(POSTID)" onkeydown="if(W.event && W.event.keyCode==13) wall.commentCreate(POSTID)"></textarea></div>';

wall.updateDisplay();
function winResized(){}
wall.init();
</script>
<?php
}
?>