<?php
/**
 * Blog image upload script
 *
 * Display "please wait" screen
 * Upload an image to server, resize it and put it in blog temp directory
 *
 * If no file is sent, display "please wait" screen and call doSendImage script in opener window
 * This script submit file send form, targeting current widows
 * file reception is then detected.
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2009 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 1.0.0
 */

require(INCLUDE_DIR.'uploadWindow.php');
require(dirname(__FILE__).'/index.php');

function processUploadedFile(){
	global $transfersArray;
	$errorMessage=false;

	// Move uploaded file to resource directory
	$uploadDir = cfAppResourceDir();
	$uploadFile = $uploadDir . '/tmp.'.cfFileExtension(basename($_FILES['ulInput']['name']));
	if(!move_uploaded_file($_FILES['ulInput']['tmp_name'], $uploadFile)){
		$fileTransfered=false;
		$errorMessage = cfCaption('genError');
	}
	else $fileTransfered=true;

	// Verify that it is an image
	if(!$errorMessage && substr($_FILES['ulInput']['type'],0,5)!='image') {
		$errorMessage=cfCaption('blogErrorNotImage');
		$fileTransfered=false;
		unlink($uploadFile);
	}

	// Input size
	list($sW, $sH, $type, $attr) = @getimagesize($uploadFile);

	// Output size
	$dW=cfRGetVar('mediaWidth');
	$dH=floor($dW*3/4);

	// Generate small jpg image from sent image
	if(!$errorMessage) cfCreateResizedJPG($uploadFile, 0, 0, cfAppTempDir().'/temp.wall.'.wSession_id().'.jpg', $dW, $dH);

	// Store full-size image
	if($sW>$dW) rename($uploadFile,cfAppTempDir().'/temp.wall.'.wSession_id().'_f.jpg');

	@unlink($uploadFile);

	// Display upload completed page
	if(!$errorMessage) displayUploadCompletedPage(false,false);
	else displayUploadCompletedPage(false,$errorMessage);
}
?>