<?php
/**
 * NATURE THEME LOGIN FORM
 *
 * Included by login.php
 * Display login form
 *
 * Use 2 variables :
 *
 * string $userToDisplaySeqNumber : id of pre-selected user
 * boolean $wrongPasswordSent : true if an incorrect password has been sent
 *
 *
 * PHP version 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   NA
 * @package    NA
 * @author     Nicolas Bruley / Peer 2 World <contact@weezo.net>
 * @copyright  2005-2009 Nicolas Bruley / Peer 2 World
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    CVS: $Id:$
 * @link       http://www.weezo.net
 * @since      File available since Release 1.0.0
 */

// number of forms to be displayed
$nbForms=count($_ENV['users']);
// sequential number of pre-selected form
if(isset($userToDisplay)){
	$i=0;
	foreach ($_ENV['users'] as $key=>$value) {if($key===$userToDisplay) $userToDisplaySeqNumber=$i;	$i++;}
}
elseif (isset($_ENV['users'][0])){
	$userToDisplay=0;
	$userToDisplaySeqNumber=0;
}
else {
	if($nbForms==1){foreach ($_ENV['users'] as $key=>$value) {$userToDisplay=$key; $userToDisplaySeqNumber=0;}} else $userToDisplaySeqNumber=-1;
}



/*
 ***************************************************************************************************************************
 * Async Response
 ***************************************************************************************************************************
 */
if(cfIsAsync() && isset($_POST['user'])){
	echo cfAsyncHeader();

	// If security issue detected, display error message
	if($securityEvent)echo cfAsyncXMLJSaction('dgi("securityEvent").innerHTML="'.str_replace('"',"''",cfUTF8Encode($securityEvent)).'";');
	echo cfAsyncXMLJSaction('resetInputs();');
	if($wrongPasswordSent || $wrongUserSent){
		$errorText=str_replace('"',"''",(($wrongUserSent)?cfCaption('loginBadPasswordOrAccount'):cfCaption('loginBadPassword')));
		echo cfAsyncXMLJSaction('dgi("wrongPassword").innerHTML="'.$errorText.'";');
	}
	echo cfAsyncXMLJSaction('if(dgi("password'.$userToDisplaySeqNumber.'")) dgi("password'.$userToDisplaySeqNumber.'").focus();');
	echo cfAsyncXMLJSaction('wl.mask.hide()');
	cfAsyncFooter();
}


// Insert HTML Head and Javascript
cfInsertHEAD(false);
?>
<style type="text/css">
body{background:#F0F0F0; height:100%}
.userFrame{color:#888;padding:15px;font-size:22px}
.disabled{color:#DDD}
.inter{line-height:15px}
.name{padding:5px;}
.password{padding:5px;text-align:right}
.submit{padding:5px;text-align:right}
.loginMessage{position:absolute; top:40px; left:40px; color:#5A5A69}

</style>
<script language="JavaScript" type="text/javascript">
<!--
function test(){
	document.getElementById("out").innerHTML=document.body.offsetWidth;
}
var currentUser=-1;
function submitUser(nb){
	document.loginForm.elements['userId'].value=dgi("userId"+nb).innerHTML;
	if(dgi("userName"+nb)) document.loginForm.elements['user'].value=dgi("userName"+nb).value; else document.loginForm.elements['user'].value='';
	if(dgi("password"+nb)) document.loginForm.elements['password'].value=dgi("password"+nb).value; else document.loginForm.elements['password'].value='';
	dgi("wrongPassword").innerHTML="&nbsp;";
	startEncryption();
}

function resetInputs(){
	if(dgi("encryptionLockSend")) dgi("encryptionLockSend").style.display="none";
	for(var i = 0; i < <?php echo $nbForms;?>; i++){
		if(dgi("password"+i)) dgi("password"+i).value = "";
	}
}

function checkKey(e){
	if(currentUser==-1) return;
	var kc;
	if(e) kc=e.which; else {if(window.event) kc=window.event.keyCode; else return;}
	if(kc==13) {
		if(dgi("userName"+currentUser) && dgi("password"+currentUser).value=='') dgi("password"+currentUser).focus(); else submitUser(currentUser);
	}
}
document.onkeypress=checkKey;
//-->
</script>
<?php

//<BODY>
if($userToDisplaySeqNumber==-1 || $_ENV['users'][$userToDisplay]['authenticationMethod']=='noAuthentication') echo '<body>';
elseif($userToDisplay==0) echo '<body onload="dgi(\'userName0\').focus()">';
else echo '<body>';

// Insert Login form and RSA encryption scripts and HTML
includeLoginFormAndScripts();

echo '<div id="out"></div>';
// Table used for vertical & middle alignment
echo outTableTransparent(false,'height:97%; width:100%; background:#FFF');
echo '<tr><td height="100%" valign="middle" align="center">';

// Login Frame
echo '<div id="tableDiv" class="frame1" style="width:760px;position:relative;padding:0px;border:2px solid #34BEED">';
echo '<img src="/themes/wiizo/bl.png" style="position:absolute;left:-2px;bottom:-2px">';
echo '<img src="/themes/wiizo/br.png" style="position:absolute;right:-2px;bottom:-2px">';
echo '<img src="/themes/wiizo/tl.png" style="position:absolute;left:-2px;top:-2px">';
echo '<img src="/themes/wiizo/tr.png" style="position:absolute;right:-2px;top:-2px">';
echo "<br />\n";

/*
 * Users list
 */
	$i=0;
	echo '<table style="width:100%; vertical-align:top; padding-left:10px; padding-right:15px" cellspacing=0 cellpadding=0>';

	foreach($_ENV['users'] as $key=>$value){
		if($value['name']) $name=cfUTF8Encode($value['name']);
		else $name=cfCaption('genGroup');

		echo '<tr class="userFrame"><td class="name" '.(($i==0)?'id="nameCol" style="width:400px">':'>');
		// Icon
		echo outThemeImage(outIcon('user'),false,false,'vertical-align:top;margin-left:1em');

		// Hidden user id
		echo '<span id="userId'.(0+$i).'" style="display:none">'.$key.'</span>';

		// User Name
		if($value['name']) echo'<span style="margin-left:1em;">'.cfStrTruncate($name,18).'</span>';
		if(!$value['name']) echo '<input type="text" size="20" id="userName0" style="margin-left:1em" onfocus="currentUser='.(0+$i).'">';

		// Hint
		if(isset($value['hint']) && strlen($value['hint'])>0 && $value['authenticationMethod']!='noAuthentication') echo outThemeImage(outIcon('help'),'javascript:alert(\''.cfCaptionJS('logHint').cfCaption('genSeparator').cfUTF8Encode($value['hint']).'\')', false, 'margin-left:2em; vertical-align:middle');

		echo '</td><td class="password" '.(($i==0)?'id="passwordCol" style="width:270px">':'>');
		// Password
		if($value['authenticationMethod']!='noAuthentication') echo outThemeImage(outIcon('restricted'),false,false,'vertical-align:top;margin-right:16px').'<input name="passwordInput" type="password" size="15" id="password'.$i.'" onfocus="currentUser='.(0+$i).'">';
		else echo '&nbsp;';
		echo '</td><td class="submit" style="width:90">';
		// Submit
		echo outButton(cfCaption('loginConnectButton'),'javascript:submitUser('.$i.')',outIcon('go'));
		echo "</td></tr>\n";
		echo "<tr class=\"inter\"><td>&nbsp;</td></tr>\n";
		$i++;
	}
	echo '</table>';
// Wrong password label
echo '<div id="wrongPassword" class="warning" style="margin-bottom:5px; margin-top:-8px; text-align:center">'.(($wrongPasswordSent)?cfCaption('loginBadPassword'):'&nbsp;').'</div>';

// Theme change control
if(!cfBGetVar('theme') && cfGGetVar('allowUserThemeChange')) {
	echo '<div style="width:100%; height:3px; border-top:1px dashed #191">&nbsp;</div>';
	echo outThemeSelectionControl('general',false,'POST');
}
echo '</div>';
echo '</table>';
?>
<script type="text/javascript">
if(screen.width>800){
	dgi("nameCol").style.width="380px";
	dgi("passwordCol").style.width="360px";
	dgi("tableDiv").style.width="830px";
	for(i=0;i<document.getElementsByName("passwordInput").length;i++) document.getElementsByName("passwordInput")[i].size=24;
}
</script>
<?php
echo '<span onclick="window.open(\''.APP_SITE.'\')" style="cursor:pointer; position:absolute;top:7px;right:7px;color:#34BEED">Weezo&nbsp;'.outThemeImage(outIcon('logoSmall'),'#',false,'vertical-align:top; margin-left:1em').'</span>';

// Error message div
echo '<div style="position:absolute;top:10px;right:10px;color:red; text-align:right" id="securityEvent">'.(($securityEvent)?cfUTF8Encode($securityEvent):'').'</div>';

echo "</body></html>";
?>